summaryrefslogtreecommitdiff
path: root/RED/baselines
diff options
context:
space:
mode:
Diffstat (limited to 'RED/baselines')
-rw-r--r--RED/baselines/cpu/Makefile9
-rw-r--r--RED/baselines/cpu/app_baseline.cpp10
-rwxr-xr-xRED/baselines/cpu/run-opti.sh9
-rwxr-xr-xRED/baselines/cpu/run.sh18
4 files changed, 34 insertions, 12 deletions
diff --git a/RED/baselines/cpu/Makefile b/RED/baselines/cpu/Makefile
index e4d935c..4350185 100644
--- a/RED/baselines/cpu/Makefile
+++ b/RED/baselines/cpu/Makefile
@@ -1,5 +1,12 @@
-all:
+all: red
+
+red: app_baseline.cpp
g++ -O2 app_baseline.cpp -fopenmp -DTHRUST_HOST_SYSTEM=THRUST_HOST_SYSTEM_CPP -DTHRUST_DEVICE_SYSTEM=THRUST_DEVICE_SYSTEM_OMP -lgomp -lm -o red -D${TYPE}
+run: red
+ ./red -i 1048576000 -t 4
+
clean:
rm red
+
+.PHONY: all clean run
diff --git a/RED/baselines/cpu/app_baseline.cpp b/RED/baselines/cpu/app_baseline.cpp
index db4b060..10534c6 100644
--- a/RED/baselines/cpu/app_baseline.cpp
+++ b/RED/baselines/cpu/app_baseline.cpp
@@ -194,18 +194,14 @@ int main(int argc, char **argv) {
if (status) {
printf("[" ANSI_COLOR_GREEN "OK" ANSI_COLOR_RESET "] Outputs are equal\n");
if(rep >= p.n_warmup) {
- printf("[::] n_threads=%d e_type=%s n_elements=%d "
- "| throughput_cpu_ref_MBps=%f throughput_cpu_thrust_MBps=%f\n",
+ printf("[::] RED CPU | n_threads=%d e_type=%s n_elements=%u "
+ "| throughput_seq_MBps=%f throughput_MBps=%f",
nr_threads, XSTR(T), input_size,
input_size * sizeof(T) / timer.time[0],
input_size * sizeof(T) / timer.time[1]);
- printf("[::] n_threads=%d e_type=%s n_elements=%d "
- "| throughput_cpu_ref_MOpps=%f throughput_cpu_thrust_MOpps=%f\n",
- nr_threads, XSTR(T), input_size,
+ printf(" throughput_seq_MOpps=%f throughput_MOpps=%f",
input_size / timer.time[0],
input_size / timer.time[1]);
- printf("[::] n_threads=%d e_type=%s n_elements=%d | ",
- nr_threads, XSTR(T), input_size);
printall(&timer, 1);
}
} else {
diff --git a/RED/baselines/cpu/run-opti.sh b/RED/baselines/cpu/run-opti.sh
new file mode 100755
index 0000000..bd380c7
--- /dev/null
+++ b/RED/baselines/cpu/run-opti.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+HOST="$(hostname)"
+
+echo $HOST
+
+make -B TYPE=UINT64 verbose=1
+
+./red -i 1048576000 -t 4 -w 0 -e 100 | sed 's/CPU/CPU Baseline/' | tee "${HOST}-baseline.txt"
diff --git a/RED/baselines/cpu/run.sh b/RED/baselines/cpu/run.sh
index 1707edf..3a0fb09 100755
--- a/RED/baselines/cpu/run.sh
+++ b/RED/baselines/cpu/run.sh
@@ -2,16 +2,26 @@
set -e
+HOST="$(hostname)"
+
+echo $HOST
+
+(
+
echo "prim-benchmarks RED CPU/Thrust (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_threads in 1 2 4 6 8 12 16 20 24 32; do
+# default: UINT64 -i 1048576000 -t 4
+
+for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1048576000 2097152000; do
- for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
- if make -B TYPE=${dt}; then
- timeout -k 1m 30m ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ #for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
+ for dt in UINT64; do
+ if make -B TYPE=${dt} verbose=1; then
+ timeout -k 1m 60m ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
fi
done
done
done
+) | tee "${HOST}-explore.txt"